/**
 * @module InputRange
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _InputRange = require('./InputRange');

var _InputRange2 = _interopRequireDefault(_InputRange);

var _Track = require('./Track');

var _Track2 = _interopRequireDefault(_Track);

var _Slider = require('./Slider');

var _Slider2 = _interopRequireDefault(_Slider);

var _Label = require('./Label');

var _Label2 = _interopRequireDefault(_Label);

/**
 * An object describing the position of a point
 * @typedef {Object} Point
 * @property {number} x - x value
 * @property {number} y - y value
 */

/**
 * An object describing a range of values
 * @typedef {Object} Range
 * @property {number} min - Min value
 * @property {number} max - Max value
 */

exports['default'] = _InputRange2['default'];
exports.Track = _Track2['default'];
exports.Slider = _Slider2['default'];
exports.Label = _Label2['default'];